<?php

namespace Drupal\ldap_auth;
use Drupal\Core\Form\FormStateInterface;
use Drupal\ldap_auth\Form\LDAPFormBase;

class TestAuthenticationFormBuilder extends LDAPFormBase{
  public static function insertForm(array &$form, FormStateInterface $form_state, $config){
    $search_base = $config
        ->get('miniorange_ldap_search_base');
    if ($search_base == 'custom_base') {
      $search_base = $config
          ->get('miniorange_ldap_custom_sb_attribute');
    }
    $search_filter = $config->get('miniorange_ldap_username_attribute');

    $form['miniorange_ldap_test_auth_markup'] = [
        '#markup' => t("<h1>Test Authentication</h1><hr>
            <small>Please enter your LDAP username and password to test your configurations. The user will be searched based on your search filter i.e <b>' . $search_filter . '</b> of the user present under the search base <b>' . $search_base . '</b></small>
        "),
    ];

    $form['miniorange_ldap_test_account_username'] = [
        '#type' => 'textfield',
        '#id' => 'miniorange_ldap_test_account_username',
        '#title' => t('Username:'),
        '#default_value' => $config->get('mo_last_authenticated_user'),
        '#required' => TRUE,
        '#attributes' => [
            'style' => 'margin-left:0px;max-width: 50%;',
        ],
    ];

    $form['miniorange_ldap_test_account_password'] = [
        '#type' => 'password',
        '#title' => t('Password:'),
        '#id' => 'miniorange_ldap_test_account_password',
        '#attributes' => [
            'placeholder' => 'User Account Password',
            'style' => 'margin-left:0px;max-width: 50%;',
        ],
    ];
    $form['miniorange_test_configuration_1'] = [
        '#type' => 'button',
        '#value' => t('Test Authentication'),
        '#attributes' => [
            'onclick' => 'ldap_testConfig()',
            'class' => ['use-ajax'],
        ],
        '#ajax' => ['event' => 'click'],
    ];

    $form['back_step_6'] = [
        '#type' => 'submit',
        '#button_type' => 'danger',
        '#value' => t('&#171; Back'),
        '#submit' => ['::miniornage_ldap_back_6'],
        '#attributes' => ['style' => 'display: inline-block;'],
    ];
    return $form;
  }
}
